Name:           python-gnucash-asx-fetch
Version:        1.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utility to fetch and add current ASX prices to one or more gnucash XML files

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/bulletmark/gnucash-asx-fetch
Source:         %{pypi_source gnucash_asx_fetch}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gnucash-asx-fetch' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gnucash-asx-fetch
Summary:        %{summary}

%description -n python3-gnucash-asx-fetch %_description


%prep
%autosetup -p1 -n gnucash_asx_fetch-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gnucash-asx-fetch -f %{pyproject_files}


%changelog
%autochangelog